Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JDBCDataSourceMBean

public interface JDBCDataSourceMBean
extends DeploymentMBean

This MBean defines a non-transactional JDBC DataSource.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`int` | `getConnectionWaitPeriod()` The time in seconds which the system will wait for a free connection pool entry to become available if a request is received when there are no free entries in the pool.
`java.lang.String` | `getJNDIName()` The JNDI path to where this DataSource is bound.
`java.lang.String` | `getPoolName()` The name of the connection pool with which the DataSource is associated.
`int` | `getRowPrefetchSize()` The number of result set rows to prefetch for a client.
`int` | `getStreamChunkSize()` Data chunk size for steaming datatypes.
`boolean` | `isRowPrefetchEnabled()` Controls row prefetching between a client and WebLogic Server for each ResultSet.
`boolean` | `isWaitForConnectionEnabled()` Returns true if the system will wait for a free connection pool entry to become available when a request is made with all pool entries in use.
`void` | `setConnectionWaitPeriod(int waitseconds)`
`void` | `setJNDIName(java.lang.String name)` Sets the JNDI path to where this DataSource is bound.
`void` | `setPoolName(java.lang.String pool)` Sets the name of the JDBC connection pool that is associated with this DataSource.
`void` | `setRowPrefetchEnabled(boolean enable)` Set to true to enable row prefetching between a client and WebLogic Server for each ResultSet.
`void` | `setRowPrefetchSize(int prefetch)`
`void` | `setStreamChunkSize(int chunk_size)`
`void` | `setWaitForConnectionEnabled(boolean enable)` Allow the sytem to wait for a free connection pool entry to become available if a request is received when there are no free entries in the pool.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  The JNDI path to where this DataSource is bound.

  Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource.

  Legal NULL: false

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Sets the JNDI path to where this DataSource is bound. Applications that look up the JNDI path will get a `javax.sql.DataSource` instance that corresponds to this DataSource. Note that the old style usage of DriverManager.getConnection() or Driver.connect() has been deprecated in favor of looking up a datasource to obtain a connection.

  Legal Value: ((value != null) && (value.trim().length() > 0))

### getPoolName

    public java.lang.String getPoolName()

  The name of the connection pool with which the DataSource is associated.

  Calls from applications to `getConnection()` on this DataSource will return a connection from the associated connection pool.

### setPoolName

    public void setPoolName(java.lang.String pool)
                     throws javax.management.InvalidAttributeValueException

  Sets the name of the JDBC connection pool that is associated with this DataSource. Calls to `getConnection()` on this DataSource will return a connection from the associated connection pool.

  Legal Value: (value != null) && (value.trim().length() > 0)

### isRowPrefetchEnabled

    public boolean isRowPrefetchEnabled()

  Controls row prefetching between a client and WebLogic Server for each ResultSet. When an external client accesses a database using JDBC through WebLogic Server, row prefetching improves performance by fetching multiple rows from the server to the client in one server access. WebLogic Server will ignore this setting and not use row prefetching when the client and WebLogic Server are in the same JVM.

  Default Value: false

### setRowPrefetchEnabled

    public void setRowPrefetchEnabled(boolean enable)

  Set to true to enable row prefetching between a client and WebLogic Server for each ResultSet. When an external client accesses a database using JDBC through WebLogic Server, row prefetching improves performance by fetching multiple rows from the server to the client in one server access. WebLogic Server will ignore this setting and not use row prefetching when the client and WebLogic Server are in the same JVM.

  Default Value: false

### getRowPrefetchSize

    public int getRowPrefetchSize()

  The number of result set rows to prefetch for a client. The optimal value depends on the particulars of the query. In general, increasing this number will increase performance, until a particular value is reached. At that point further increases do not result in any significant performance increase. Very rarely will increased performance result from exceeding 100 rows. The default value should be reasonable for most situations.

  Default Value: 48
  Legal Minimum Value: 2
  Legal Maximum Value: 65536

### setRowPrefetchSize

    public void setRowPrefetchSize(int prefetch)

### getStreamChunkSize

    public int getStreamChunkSize()

  Data chunk size for steaming datatypes. Streaming datatypes (for example resulting from a call to `getBinaryStream()`) will be pulled in StreamChunkSize sized chunks from WebLogic Server to the client as needed.

  Default Value: 256
  Legal Minimum Value: 1
  Legal Maximum Value: 65536

### setStreamChunkSize

    public void setStreamChunkSize(int chunk_size)

### isWaitForConnectionEnabled

    public boolean isWaitForConnectionEnabled()

  Returns true if the system will wait for a free connection pool entry to become available when a request is made with all pool entries in use. In order to avoid tying up server threads and possibly hurting performance, it is recommended that this feature not be used.

  Default Value: false

### setWaitForConnectionEnabled

    public void setWaitForConnectionEnabled(boolean enable)

  Allow the sytem to wait for a free connection pool entry to become available if a request is received when there are no free entries in the pool. A WLS server thread is occupied while waiting for a free connection, and this can result in a decrease in system throughput. Therefore, the recommended way to deal with the exhaustion of a connection pool is to increase the size of the pool, and this method is not recommended for use in a production environment!

  Default Value: false
  Secure Value: false

### getConnectionWaitPeriod

    public int getConnectionWaitPeriod()

  The time in seconds which the system will wait for a free connection pool entry to become available if a request is received when there are no free entries in the pool. This value will be used only if setWaitForConnectionEnabled(true) has previously been called. A WLS server thread is occupied while waiting for a free connection, and this can result in a decrease in system throughput. Therefore, the recommended way to deal with the exhaustion of a connection pool is to increase the size of the pool, and this method is not recommended for use in a production environment!

  Default Value: 1
  Legal Minimum Value: 1
  Legal Maximum Value: 60

### setConnectionWaitPeriod

    public void setConnectionWaitPeriod(int waitseconds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference